Subject: Re: bug#62823: 29.0.60; Fixing a small leak in tree-sitter search functions

From: Stefan Kangas <[email-masked]>
Date: Tue, 5 Sep 2023 16:55:36 -0700

Yuan Fu <[email-masked]> writes:

> When we switch to using cursors instead of nodes [1] in treesit.c for
> search functions, we introduced a small leak: the search functions
> allows the user to pass a predicate function, which can signal. And
> because we are now using cursors, which needs to be freed, everytime the
> predicate function signals, the cursor is leaked.
>
> I pushed a fix to master (a5eb9f6ad4e), the change is relatively
> straightforward so I hope we can pick it into the next pretest.
>
> And sorry for introducing the leak in the first place :-(

It seems like this was already installed, so I'm closing this.